Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddleSearchWord.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddleSearchWord.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddleSearchWord.cs	(revision 484)
@@ -186,7 +186,7 @@
                 strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
                 strcmd.AppendFormat(", {0}", work.MiddleCode.ToString());
                 strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
-                strcmd.AppendFormat(", '{0}'", work.SearchWord);
+                strcmd.AppendFormat(", {0}", SeparateString(work.SearchWord));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -235,7 +235,7 @@
                     strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
                     strcmd.AppendFormat(", {0}", work.MiddleCode.ToString());
                     strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.SearchWord);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SearchWord));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -276,7 +276,7 @@
                 strcmd.AppendFormat(" LargeCode = {0}", data.LargeCode.ToString());
                 strcmd.AppendFormat(" MiddleCode = {0}", data.MiddleCode.ToString());
                 strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo.ToString());
-                strcmd.AppendFormat(",SearchWord = '{0}'", data.SearchWord);
+                strcmd.AppendFormat(",SearchWord = {0}", SeparateString(data.SearchWord));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs	(revision 484)
@@ -57,6 +57,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 工事構成マスタ検索文字作成
         /// <summary>
         /// 工事構成マスタ検索文字作成
@@ -66,21 +104,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  ComponentCode");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", ComponentName");
-            strcmd.Append(", SubitemsFlg");
-            strcmd.Append(", DirectInputFlg");
-            strcmd.Append(", MyExpensesFlg");
-            strcmd.Append(", DeleteFlg");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM ComponentMaster");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ComponentMaster", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -191,7 +226,7 @@
 
                 strcmd.AppendFormat("  {0}", data.ComponentCode.ToString());
                 strcmd.AppendFormat(", {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ComponentName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ComponentName));
                 strcmd.AppendFormat(", {0}", data.SubitemsFlg.ToString());
                 strcmd.AppendFormat(", {0}", data.DirectInputFlg.ToString());
                 strcmd.AppendFormat(", {0}", data.MyExpensesFlg.ToString());
@@ -243,7 +278,7 @@
 
                     strcmd.AppendFormat("  {0}", work.ComponentCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ComponentName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ComponentName));
                     strcmd.AppendFormat(", {0}", work.SubitemsFlg.ToString());
                     strcmd.AppendFormat(", {0}", work.DirectInputFlg.ToString());
                     strcmd.AppendFormat(", {0}", work.MyExpensesFlg.ToString());
@@ -287,7 +322,7 @@
 
                 strcmd.AppendFormat(" ComponentCode = {0}", data.ComponentCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",ComponentName = '{0}'", data.ComponentName);
+                strcmd.AppendFormat(",ComponentName = {0}", SeparateString(data.ComponentName));
                 strcmd.AppendFormat(",SubitemsFlg = {0}", data.SubitemsFlg.ToString());
                 strcmd.AppendFormat(",DirectInputFlg = {0}", data.DirectInputFlg.ToString());
                 strcmd.AppendFormat(",MyExpensesFlg = {0}", data.MyExpensesFlg.ToString());
@@ -330,7 +365,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.ComponentName:
-                        strcmd.AppendFormat(" ComponentName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ComponentName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.SubitemsFlg:
                         strcmd.AppendFormat(" SubitemsFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 484)
@@ -56,6 +56,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 工事項目マスタ検索SQL作成
         /// <summary>
         /// 工事項目マスタ検索SQL作成
@@ -65,20 +103,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  ItemCode");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", ItemName");
-            strcmd.Append(", SubitemsFlg");
-            strcmd.Append(", MyExpensesFlg");
-            strcmd.Append(", DeleteFlg");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM ConstructionItemMaster");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ConstructionItemMaster", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -189,7 +225,7 @@
 
                 strcmd.AppendFormat("  {0}", work.ItemCode.ToString());
                 strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                strcmd.AppendFormat(", '{0}'", work.ItemName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));
                 strcmd.AppendFormat(", {0}", work.SubitemsFlg.ToString());
                 strcmd.AppendFormat(", {0}", work.MyExpensesFlg.ToString());
                 strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
@@ -240,7 +276,7 @@
 
                     strcmd.AppendFormat("  {0}", work.ItemCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ItemName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));
                     strcmd.AppendFormat(", {0}", work.SubitemsFlg.ToString());
                     strcmd.AppendFormat(", {0}", work.MyExpensesFlg.ToString());
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
@@ -283,7 +319,7 @@
 
                 strcmd.AppendFormat(" ItemCode = {0}", data.ItemCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",ItemName = '{0}'", data.ItemName);
+                strcmd.AppendFormat(",ItemName = {0}", SeparateString(data.ItemName));
                 strcmd.AppendFormat(",SubitemsFlg = {0}", data.SubitemsFlg.ToString());
                 strcmd.AppendFormat(",MyExpensesFlg = {0}", data.MyExpensesFlg.ToString());
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs	(revision 484)
@@ -191,9 +191,9 @@
                 strcmd.AppendFormat(",{0}", work.SpecCode);
                 strcmd.AppendFormat(",{0}", work.DisplayOrder);
 
-                strcmd.AppendFormat(",'{0}'", work.ItemName);
-                strcmd.AppendFormat(",'{0}'", work.SpecName);
-                strcmd.AppendFormat(",'{0}'", work.UnitName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));
+                strcmd.AppendFormat(", {0}", SeparateString(work.SpecName));
+                strcmd.AppendFormat(", {0}", SeparateString(work.UnitName));
                 strcmd.AppendFormat(",{0}", work.UnitPrice);
                 strcmd.AppendFormat(",{0}", work.DeleteFlg);
 
@@ -245,9 +245,9 @@
                     strcmd.AppendFormat(",{0}", work.SpecCode);
                     strcmd.AppendFormat(",{0}", work.DisplayOrder);
 
-                    strcmd.AppendFormat(",'{0}'", work.ItemName);
-                    strcmd.AppendFormat(",'{0}'", work.SpecName);
-                    strcmd.AppendFormat(",'{0}'", work.UnitName);
+                    strcmd.AppendFormat(",{0}", SeparateString(work.ItemName));
+                    strcmd.AppendFormat(",{0}", SeparateString(work.SpecName));
+                    strcmd.AppendFormat(",{0}", SeparateString(work.UnitName));
                     strcmd.AppendFormat(",{0}", work.UnitPrice);
                     strcmd.AppendFormat(",{0}", work.DeleteFlg);
 
@@ -291,9 +291,9 @@
                 strcmd.AppendFormat(",SpecCode = {0}", data.SpecCode);
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder);
 
-                strcmd.AppendFormat(",ItemName = '{0}'", data.ItemName);
-                strcmd.AppendFormat(",SpecName = '{0}'", data.SpecName);
-                strcmd.AppendFormat(",UnitName = '{0}'", data.UnitName);
+                strcmd.AppendFormat(",ItemName =  {0}", SeparateString(data.ItemName));
+                strcmd.AppendFormat(",SpecName =  {0}", SeparateString(data.SpecName));
+                strcmd.AppendFormat(",UnitName =  {0}", SeparateString(data.UnitName));
                 strcmd.AppendFormat(",UnitPrice = {0}", data.UnitPrice);
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg);
 
@@ -406,13 +406,13 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ItemName:
-                        strcmd.AppendFormat(" ItemName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ItemName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SpecName:
-                        strcmd.AppendFormat(" SpecName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SpecName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitName:
-                        strcmd.AppendFormat(" UnitName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" UnitName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitPrice:
                         strcmd.AppendFormat(" UnitPrice = {0}", ((double)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 484)
@@ -196,7 +196,7 @@
 
                 strcmd.AppendFormat("  {0}", work.TypeCode);
                 strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                strcmd.AppendFormat(",'{0}'", work.NameString);
+                strcmd.AppendFormat(", {0}", SeparateString(work.NameString));
                 strcmd.AppendFormat(", {0}", work.PublicFlg);
                 strcmd.AppendFormat(", {0}", work.RepairFlg);
                 strcmd.AppendFormat(", {0}", work.SecRank);
@@ -251,7 +251,7 @@
 
                     strcmd.AppendFormat("  {0}", work.TypeCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(",'{0}'", work.NameString);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.NameString));
                     strcmd.AppendFormat(", {0}", work.PublicFlg);
                     strcmd.AppendFormat(", {0}", work.RepairFlg);
                     strcmd.AppendFormat(", {0}", work.SecRank);
@@ -297,7 +297,7 @@
 
                 strcmd.AppendFormat(" TypeCode = {0}", data.TypeCode);
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(", NameString = '{0}'", data.NameString);
+                strcmd.AppendFormat(", NameString = {0}", SeparateString(data.NameString));
                 strcmd.AppendFormat(", PublicFlg = {0}", data.PublicFlg);
                 strcmd.AppendFormat(", RepairFlg = {0}", data.RepairFlg);
                 strcmd.AppendFormat(", SecRank = {0}", data.SecRank);
@@ -342,7 +342,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.NameString:
-                        strcmd.AppendFormat(" NameString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" NameString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.PublicFlg:
                         strcmd.AppendFormat(" PublicFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCostDataType.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCostDataType.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCostDataType.cs	(revision 484)
@@ -176,8 +176,8 @@
                 strcmd.Append(") VALUES (");
 
                 strcmd.AppendFormat("  {0}", work.CostType);                                // 出納タイプコード
-                strcmd.AppendFormat(", {0}", work.TargetType);                                  // 出納先コードタイプ
-                strcmd.AppendFormat(",'{0}'", work.CostDataTypeName);                           // 出納タイプ名称
+                strcmd.AppendFormat(", {0}", work.TargetType);                              // 出納先コードタイプ
+                strcmd.AppendFormat(", {0}", SeparateString(work.CostDataTypeName));        // 出納タイプ名称
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -219,8 +219,8 @@
                     else strcmd.Append(", (");
 
                     strcmd.AppendFormat("  {0}", work.CostType);                                // 出納タイプコード
-                    strcmd.AppendFormat(", {0}", work.TargetType);                                  // 出納先コードタイプ
-                    strcmd.AppendFormat(",'{0}'", work.CostDataTypeName);                           // 出納タイプ名称
+                    strcmd.AppendFormat(", {0}", work.TargetType);                              // 出納先コードタイプ
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CostDataTypeName));        // 出納タイプ名称
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -257,9 +257,9 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" CostType = {0}", data.CostType);              // 出納タイプコード
-                strcmd.AppendFormat(",TargetType = {0}", data.TargetType);                  // 出納先コードタイプ
-                strcmd.AppendFormat(",CostDataTypeName = '{0}'", data.CostDataTypeName);    // 出納タイプ名称
+                strcmd.AppendFormat(" CostType = {0}", data.CostType);                                  // 出納タイプコード
+                strcmd.AppendFormat(",TargetType = {0}", data.TargetType);                              // 出納先コードタイプ
+                strcmd.AppendFormat(",CostDataTypeName =  {0}", SeparateString(data.CostDataTypeName)); // 出納タイプ名称
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 484)
@@ -58,6 +58,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 部署マスタ検索文字列作成
         /// <summary>
         /// 部署マスタ検索文字列作成
@@ -67,24 +105,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM DepartmentMaster", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-            strcmd.Append(" DepartmentCode");
-            strcmd.Append(",DisplayOrder");
-            strcmd.Append(",DepartmentString");
-            strcmd.Append(",ActionScheduleFlg");
-            strcmd.Append(",StaffAssignFlg");
-            strcmd.Append(",StartDate");
-            strcmd.Append(",CompDate");
-            strcmd.Append(",DeleteFlg");
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM DepartmentMaster");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -196,7 +228,7 @@
 
                     strcmd.AppendFormat("  {0}", work.DepartmentCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.DepartmentString.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.DepartmentString));
                     strcmd.AppendFormat(", {0}", work.ActionScheduleFlg.ToString());
                     strcmd.AppendFormat(", {0}", work.StaffAssignFlg.ToString());
                     strcmd.AppendFormat(", DATE('{0}')", work.StartDate);
@@ -241,7 +273,7 @@
 
                 strcmd.AppendFormat(" DepartmentCode = {0}", data.DepartmentCode);
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(",DepartmentString = '{0}'", data.DepartmentString);
+                strcmd.AppendFormat(",DepartmentString = {0}", SeparateString(data.DepartmentString));
                 strcmd.AppendFormat(",ActionScheduleFlg = {0}", data.ActionScheduleFlg);
                 strcmd.AppendFormat(",StaffAssignFlg = {0}", data.StaffAssignFlg);
                 strcmd.AppendFormat(",StartDate = DATE('{0}')", data.StartDate);
@@ -351,7 +383,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.DepartmentString:
-                        strcmd.AppendFormat(" DepartmentString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" DepartmentString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.ActionScheduleFlg:
                         strcmd.AppendFormat(" ActionScheduleFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs	(revision 484)
@@ -220,7 +220,7 @@
                 strcmd.AppendFormat("  {0}", data.DepartmentCode.ToString());
                 strcmd.AppendFormat(", {0}", data.ExpensesPeriod.ToString());
                 strcmd.AppendFormat(", {0}", data.NameCode.ToString());
-                strcmd.AppendFormat(",'{0}'", data.NameString);
+                strcmd.AppendFormat(", {0}", SeparateString(data.NameString));
                 strcmd.AppendFormat(", {0}", data.DisplayOrder.ToString());
                 strcmd.AppendFormat(", {0}", data.ExpensesRaito.ToString());
                 strcmd.AppendFormat(", {0}", data.DeleteFlg.ToString());
@@ -272,7 +272,7 @@
                     strcmd.AppendFormat("  {0}", work.DepartmentCode.ToString());
                     strcmd.AppendFormat(", {0}", work.ExpensesPeriod.ToString());
                     strcmd.AppendFormat(", {0}", work.NameCode.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.NameString);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.NameString));
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
                     strcmd.AppendFormat(", {0}", work.ExpensesRaito.ToString());
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
@@ -316,7 +316,7 @@
                 strcmd.AppendFormat(" DepartmentCode = {0}", data.DepartmentCode.ToString());
                 strcmd.AppendFormat(", ExpensesPeriod = {0}", data.ExpensesPeriod.ToString());
                 strcmd.AppendFormat(", NameCode = {0}", data.NameCode.ToString());
-                strcmd.AppendFormat(", NameString = '{0}'", data.NameString);
+                strcmd.AppendFormat(", NameString = {0}", SeparateString(data.NameString));
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd.AppendFormat(", EXPENSESRAITO = {0}", data.ExpensesRaito.ToString());
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg.ToString());
@@ -429,7 +429,7 @@
                         break;
                     case (int)NameColumn.NameString:
                         // 名称
-                        strcmd.AppendFormat(" NameString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" NameString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.DisplayOrder:
                         // 表示順
